#--------------------------------------------
#         CamiTK Extension Project
#--------------------------------------------
cmake_minimum_required(VERSION 3.20)

# Find CamiTK SDK
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})

project(@CMAKE_PROJECT_NAME@)

# CamiTK requires C++20
# All target after this declaration will be compile with c++20 policy
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(CamiTK REQUIRED)
include(${CAMITK_USE_FILE})

# define the CEP
camitk_extension_project(NAME "@PROJECT_NAME@" 
                         CONTACT "@CONTACT@"
                         DESCRIPTION "@DESCRIPTION@"
                         ENABLED
                         # Uncomment the next line to activate the CamiTK testing framework 
                         # and enable component and action automatic tests
                         #ENABLE_TESTING
                         # Uncomment the next line to be able to generate a test coverage html report
                         #ENABLE_TEST_COVERAGE
)


